LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSimpleMailMessage Interface Referencepublished

This interface lets a client set or get the information of a simple mail message. More...

`import"XSimpleMailMessage.idl";`

Inheritance diagram for XSimpleMailMessage:

## Public Member Functions
void | setRecipient ([in] string aRecipient)
| To set the recipient of the simple mail message. More...
string | getRecipient ()
| To get the recipient of the simple mail message. More...
void | setCcRecipient ([in] sequence< string > aCcRecipient)
| To set the cc recipients of a simple mail message. More...
sequence< string > | getCcRecipient ()
| To get the cc recipients of a simple mail message. More...
void | setBccRecipient ([in] sequence< string > aBccRecipient)
| To set the BCC recipient of a simple mail message. More...
sequence< string > | getBccRecipient ()
| To get the BCC recipients of a simple mail message. More...
void | setOriginator ([in] string aOriginator)
| To set the email address of the originator of a simple mail message. More...
string | getOriginator ()
| To get the email address of the originator of a simple mail message. More...
void | setSubject ([in] string aSubject)
| To set the subject of a simple mail message. More...
string | getSubject ()
| To get the subject of a simple mail message. More...
void | setAttachement ([in] sequence< string > aAttachement) raises ( ::com::sun::star::lang::IllegalArgumentException )
| To set an attachment of a simple mail message. More...
sequence< string > | getAttachement ()
| To get the attachment of a simple mail message. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface lets a client set or get the information of a simple mail message.

## Member Function Documentation

## ◆ getAttachement()

sequence< string > getAttachement | ( |  | ) |

To get the attachment of a simple mail message.

Returns
  A sequence of file URLs specifying the files that should be attached to the mail or an empty sequence if no attachments have been specified. The returned file URLs conform to Rfc1738.

## ◆ getBccRecipient()

sequence< string > getBccRecipient | ( |  | ) |

To get the BCC recipients of a simple mail message.

Returns
  A sequence with the email addresses of one or more BCC recipients.

If no BCC recipients have been specified an empty sequence will be returned.

## ◆ getCcRecipient()

sequence< string > getCcRecipient | ( |  | ) |

To get the cc recipients of a simple mail message.

Returns
  A sequence with the email addresses of one or more cc recipients.

If no cc recipients have been specified an empty sequence will be returned.

## ◆ getOriginator()

string getOriginator | ( |  | ) |

To get the email address of the originator of a simple mail message.

Returns
  The email address of the originator of the mail.

If no originator has been specified an empty string will be returned.

## ◆ getRecipient()

string getRecipient | ( |  | ) |

To get the recipient of the simple mail message.

Returns
  The specified email address of a recipient if any has been specified or an empty string.

## ◆ getSubject()

string getSubject | ( |  | ) |

To get the subject of a simple mail message.

Returns
  The subject of the simple mail message.

If no subject has been specified an empty string will be returned.

## ◆ setAttachement()

void setAttachement | ( | [in] sequence< string > | aAttachement | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

To set an attachment of a simple mail message.

Parameters

  aAttachement | Sets a sequence of file URLs specifying the files that should be attached to the mail. The given file URLs must conform to Rfc1738. The method does not check if the specified file or files really exist.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if at least one of the given file URLs is invalid (doesn't conform to Rfc1738).

## ◆ setBccRecipient()

void setBccRecipient | ( | [in] sequence< string > | aBccRecipient | ) |

To set the BCC recipient of a simple mail message.

Parameters

  aBccRecipient | A sequence with the email addresses of one or more BCC recipients. An empty sequence means there are no BCC recipients.

## ◆ setCcRecipient()

void setCcRecipient | ( | [in] sequence< string > | aCcRecipient | ) |

To set the cc recipients of a simple mail message.

Parameters

  aCcRecipient | Sets a sequence with the email addresses of one or more cc recipients.

The method does not check if the given addresses are valid. An empty sequence means there are no cc recipients.

## ◆ setOriginator()

void setOriginator | ( | [in] string | aOriginator | ) |

To set the email address of the originator of a simple mail message.

Parameters

  aOriginator | Sets the email address of the originator of the mail.

## ◆ setRecipient()

void setRecipient | ( | [in] string | aRecipient | ) |

To set the recipient of the simple mail message.

Parameters

  aRecipient | The email address of a recipient. The method doesn't check if the given email address is valid.

## ◆ setSubject()

void setSubject | ( | [in] string | aSubject | ) |

To set the subject of a simple mail message.

Parameters

  aSubject | Sets the subject of the simple mail message.

The documentation for this interface was generated from the following file:

- com/sun/star/system/XSimpleMailMessage.idl